package org.dromara.system.service;

import org.dromara.system.domain.CaseMessage;
import org.dromara.system.domain.vo.CaseMessageVo;
import org.dromara.system.domain.bo.CaseMessageBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 消息中心Service接口
 *
 * @author 吴志刚
 * @date 2023-12-06
 */
public interface ICaseMessageService {

    /**
     * 查询消息中心
     */
    CaseMessageVo queryById(Long id);

    /**
     * 查询消息中心列表
     */
    TableDataInfo<CaseMessageVo> queryPageList(CaseMessageBo bo, PageQuery pageQuery);

    /**
     * 查询消息中心列表
     */
    List<CaseMessageVo> queryList(CaseMessageBo bo);

    /**
     * 新增消息中心
     */
    Boolean insertByBo(CaseMessageBo bo);

    /**
     * 修改消息中心
     */
    Boolean updateByBo(CaseMessageBo bo);

    /**
     * 校验并批量删除消息中心信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 消息批量插入
     *
     * @param messageList
     */
    Boolean insertBatch(List<CaseMessage> messageList);
}

